Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLTableRowElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLTableRowElement
extends HTMLElement

A row in a table. See the TR element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `deleteCell(int index)` Delete a cell from the current row.
`java.lang.String` | `getAlign()` Horizontal alignment of data within cells of this row.
`java.lang.String` | `getBgColor()` Background color for rows.
`HTMLCollection` | `getCells()` The collection of cells in this row.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`int` | `getRowIndex()` The index of this row, relative to the entire table.
`int` | `getSectionRowIndex()` The index of this row, relative to the current section(`THEAD` , `TFOOT`, or `TBODY`).
`java.lang.String` | `getVAlign()` Vertical alignment of data within cells of this row.
`HTMLElement` | `insertCell(int index)` Insert an empty `TD` cell into this row.
`void` | `setAlign(java.lang.String align)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setCells(HTMLCollection cells)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setRowIndex(int rowIndex)`
`void` | `setSectionRowIndex(int sectionRowIndex)`
`void` | `setVAlign(java.lang.String vAlign)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getRowIndex

    public int getRowIndex()

  The index of this row, relative to the entire table.

### setRowIndex

    public void setRowIndex(int rowIndex)

### getSectionRowIndex

    public int getSectionRowIndex()

  The index of this row, relative to the current section(`THEAD` , `TFOOT`, or `TBODY`).

### setSectionRowIndex

    public void setSectionRowIndex(int sectionRowIndex)

### getCells

    public HTMLCollection getCells()

  The collection of cells in this row.

### setCells

    public void setCells(HTMLCollection cells)

### getAlign

    public java.lang.String getAlign()

  Horizontal alignment of data within cells of this row. See the align attribute definition in HTML 4.0.

### setAlign

    public void setAlign(java.lang.String align)

### getBgColor

    public java.lang.String getBgColor()

  Background color for rows. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBgColor

    public void setBgColor(java.lang.String bgColor)

### getCh

    public java.lang.String getCh()

  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

### setCh

    public void setCh(java.lang.String ch)

### getChOff

    public java.lang.String getChOff()

  Offset of alignment character. See the charoff attribute definition in HTML 4.0.

### setChOff

    public void setChOff(java.lang.String chOff)

### getVAlign

    public java.lang.String getVAlign()

  Vertical alignment of data within cells of this row. See the valign attribute definition in HTML 4.0.

### setVAlign

    public void setVAlign(java.lang.String vAlign)

### insertCell

    public HTMLElement insertCell(int index)

  Insert an empty `TD` cell into this row.
  Parameters:
    `index` - The place to insert the cell.
  Returns:
    The newly created cell.

### deleteCell

    public void deleteCell(int index)

  Delete a cell from the current row.
  Parameters:
    `index` - The index of the cell to delete.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD